<template>
  <div class="row justify-content-center img-bg">
    <div class="absolute row">
      <div class="col-2"></div>
      <div class="col-8 row main-contain auth-custom-contain">
        <div class="col-12 single-contain-on-border bg-white text-center overflow-main-contain">
          <div class="space-2" />
          <h1 class="t-color-red">{{title1}}</h1>
          <p class="t-color-soft-gray">
            {{dialog1}}
            <br />
            {{dialog2}}
            <br />
            {{dialog3}}
            <router-link to="/signin" class="t-color-red">{{dialog4}}</router-link>
            {{dialog5}}
          </p>
          <div class="space-1" />
          <p class="t-color-soft-gray">
            <router-link to class="t-color-red">{{$route.params.email}}</router-link>
          </p>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  mounted () {
    console.log('Component mounted.')
    this.mailConfirm()
  },
  data () {
    return {
      title1: 'Your email address was confirmed',
      dialog1: 'Now, your email was confirmed',
      dialog2: 'signin page to continue',
      dialog3: 'Please return to',
      dialog4: 'signin page',
      dialog5: 'to continue.'
    }
  },
  methods: {
    mailConfirm () {
      this.axios
        .put(
          'http://127.0.0.1:8000/api/mailConfirmaion/' +
            this.$route.params.token
        )
        .then(response => {
          console.log(response)
        })
        .catch(error => {
          console.log(error)
        })
    }
  }
}
</script>
